import {http2} from "@/utils/request.js";


/**获取所有站点 */
export const getSiteList = (data) => {
  return http2.get(`/acs/v1/admin/audit/list?page=${data.page}&server_id=${data.server_id}&user_id=${data.user_id}&count=${data.count}&key=${data.key}`)
}
/**手动触发站点审计 */
export const auditSite = () => {
  return http2.get(`/acs/v1/admin/audit/start`)
}
/**删除违规网页审计 传入参数： web_key  站点名*/
export const delAudit = (data) => {
  return http2.post(`/acs/v1/admin/audit/delete`,data,{
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}
/**获取违规网页审计列表 */
export const getAuditList = (data) => {
  return http2.get(`/acs/v1/admin/audit/violation_list?page=${data.page}&count=${data.count}&key=${data.key}`)
}
